Use the Add Document action on a resource.
post
/custom-actions/addDocuments/{resourceName}
Request
Path Parameters
-
resourceName(required): string
Target resource name.
Header Parameters
-
Prefer: string
An optional header parameter that allows you to process the request asynchronously. Set the request header "Prefer" to "respond-async" for asynchronous processing. For synchronous processing, leave the parameter blank or do not define it.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
addNewRevision: boolean
Whether to add a new revision.
-
contentManagementSystem: string
The content management system GID.
-
documentContent(required): string
(byte)
Base64 encoded document content.
-
documentNumber: string
The document number.
-
documentType: string
The document type GID.
-
fileNameWithExtension: string
File name including extension.
-
mimeType: string
MIME type of the uploaded content.
-
pks(required): array
pks
Minimum Number of Items:
1List of primary keys (GIDs) for target objects.
Nested Schema : pks
Type:
arrayMinimum Number of Items:
1List of primary keys (GIDs) for target objects.
Show Source
Response
Supported Media Types
- application/json
- application/vnd.oracle.resource+json;type=collection
200 Response
Success! A successful POST method returns a 200 status code.
Nested Schema : schema
Type:
Show Source
object-
cmsParams:
cmsParams
-
contentManagementSystemGid: string
No description.
-
contents:
contents
-
contexts:
contexts
-
documentCmsId: string
Read Only:
trueA GUID to associate the document with content stored on its remote CMS. Valid when document_type=CMS. -
documentDefGid: string
No description.
-
documentFilename: string
No description.
-
documentGid: string
No description.
-
documentMimeType: string
No description. This attribute is marked as Create-Only.
-
documentTrackingNum: string
No description.
-
documentType: string
Read Only:
trueNo description. -
documentUrl: string
Read Only:
trueNo description. -
documentXid: string
No description.
-
domainName: string
No description.
-
effectiveDate:
effectiveDate
represents effective date for a document
-
expirationDate:
expirationDate
Represents expiration date for a document.
-
generatedAt:
generatedAt
If preparation, date/time content was last generated
-
insertDate:
insertDate
Read Only:
trueinsert date -
links: array
links
Read Only:
true -
ownerDataQueryTypeGid: string
No description.
-
ownerObjectGid: string
No description.
- relatedDocument: relatedDocument
- relatedDocumentGid: string
-
reportGid: string
The report associated with the document attachment, if content was generated by the report subsystem.
-
statuses:
statuses
-
updateDate:
updateDate
Read Only:
trueupdate date -
uploadedAt:
uploadedAt
If attachment, date/time content was last updated
-
usedAs: string
Represents the classification of a document.(C/I/L/T)
-
userDefined1IconGid: string
No description.
-
userDefined2IconGid: string
No description.
-
userDefined3IconGid: string
No description.
-
userDefined4IconGid: string
No description.
-
userDefined5IconGid: string
No description.
Nested Schema : cmsParams
Type:
Show Source
object-
items: array
items
-
links: array
links
Read Only:
true
Nested Schema : contents
Type:
Show Source
object-
items: array
items
-
links: array
links
Read Only:
true
Nested Schema : contexts
Type:
Show Source
object-
items: array
items
-
links: array
links
Read Only:
true
Nested Schema : effectiveDate
represents effective date for a document
Match All
represents effective date for a document
Show Source
Nested Schema : expirationDate
Represents expiration date for a document.
Match All
Represents expiration date for a document.
Show Source
Nested Schema : generatedAt
If preparation, date/time content was last generated
Match All
If preparation, date/time content was last generated
Show Source
Nested Schema : statuses
Type:
Show Source
object-
items: array
items
-
links: array
links
Read Only:
true
Nested Schema : uploadedAt
If attachment, date/time content was last updated
Match All
If attachment, date/time content was last updated
Show Source
Nested Schema : schema
Type:
Show Source
object-
domainName: string
No description.
-
links: array
links
Read Only:
true -
paramName: string
Parameter name
-
paramValue: string
Parameter value
Nested Schema : schema
Type:
Show Source
object-
documentContentGid: string
NOTE: This column should not have an FK to OCUMENT_CONTENT. The DOCUMENT_CONTENT table may be stored in a different instance or schema.
-
domainName: string
No description.
-
links: array
links
Read Only:
true
Nested Schema : schema
Type:
Show Source
object-
documentContextQualGid: string
Represents the document context qualifier.
-
documentContextValue: string
Represents the value of a document context qualifier.
-
domainName: string
No description.
-
links: array
links
Read Only:
true
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : schema
Type:
Show Source
object-
domainName: string
No description.
-
links: array
links
Read Only:
true -
statusTypeGid: string
No description.
-
statusValueGid: string
No description.
400 Response
Your request couldn't be processed because it contains missing or invalid information. For example, a validation error on an input field or a missing required value.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized. The request was not successful because it is missing valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.